<?php 

class SelectTime {

  private $scope;
  private $label;
  private $time;
  private $iterator;

  public function __construct($entry) {
    if (isset($entry)) {
      $this->scope = $entry->scope;
      $this->label = $entry->label;
      $this->time  = $entry->time;
      $this->iterator = $entry->iterator;
    }
  }
 
  public function outputLayout() {

    $layout = "
      <label for='$this->scope'>$this->label<br>
      <input type='time' id=$this->scope class=$this->iterator name='$this->scope' value='$this->time'>
      </label>
    "; 

    return $layout;
  }

  public function outputScript() {

    $script = "";

    return $script;
  }
}
 
?>